org.apache.commons.lang3.reflect

## Class TypeUtils.WildcardTypeBuilder

- java.lang.Object
- - org.apache.commons.lang3.reflect.TypeUtils.WildcardTypeBuilder

- All Implemented Interfaces:
    Builder<WildcardType>
  Enclosing class:
    TypeUtils

      public static class TypeUtils.WildcardTypeBuilder
      extends Object
      implements Builder<WildcardType>

  `WildcardType` builder.
  Since:
    3.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WildcardType` | `build()` Returns a reference to the object being constructed or result being calculated by the builder.
    `TypeUtils.WildcardTypeBuilder` | `withLowerBounds(Type... bounds)` Specify lower bounds of the wildcard type to build.
    `TypeUtils.WildcardTypeBuilder` | `withUpperBounds(Type... bounds)` Specify upper bounds of the wildcard type to build.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withUpperBounds

          public TypeUtils.WildcardTypeBuilder withUpperBounds(Type... bounds)

      Specify upper bounds of the wildcard type to build.
      Parameters:
        `bounds` - to set
      Returns:
        `this`

    - #### withLowerBounds

          public TypeUtils.WildcardTypeBuilder withLowerBounds(Type... bounds)

      Specify lower bounds of the wildcard type to build.
      Parameters:
        `bounds` - to set
      Returns:
        `this`

    - #### build

          public WildcardType build()

      Returns a reference to the object being constructed or result being calculated by the builder.
      Specified by:
        `build` in interface `Builder<WildcardType>`
      Returns:
        the object constructed or result calculated by the builder.

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.